#!/usr/bin/env python

# tutorials.creating_clients.server

#    Copyright (c) 2005 Simon Yuill.
#
#    This file is part of 'Social Versioning System' (SVS).
#
#    'Social Versioning System' is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    'Social Versioning System' is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with 'Social Versioning System'; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


"""
'Creating Clients' tutorial source code.

This provides the server that all clients communicate over.

@author:	Simon Yuill
@copyright:	Simon Yuill
@license:	GNU GPL version 2 or any later version
@contact:	simon@lipparosa.org
"""

from svs_core.network.clustermanager import ClusterManager

# CREATE SERVER
cm = ClusterManager(9797) # <--- set to port number that server will run on

# ADD CLIENTS
# service clients
cm.addClientAuthentication("time_service", "p@ssw0rd")
cm.addClientAuthentication("time_service_notify", "p@ssw0rd")
# user clients
cm.addClientAuthentication("time_user_1", "p@ssw0rd")
cm.addClientAuthentication("time_user_2", "p@ssw0rd")
cm.addClientAuthentication("time_user_3", "p@ssw0rd")

# print messages to terminal
cm.quiet = False

# START SERVER
cm.run()
